<?php
if(function_exists('register_sidebar'))
{
register_sidebar(array('name'=>'Sidebar'));
register_sidebar(array(
'name'=>'Footer - Only 3 Can Be Used',
'before_widget' => '<div class="footercont"><ul><li>',
'after_widget' => '</li></ul></div>',
'before_title' => '<h2 class="widgettitle">',
'after_title' => '</h2>',
));    

    function unregister_problem_widgets() {
unregister_sidebar_widget('Tag Cloud');
unregister_sidebar_widget('Categories 1');
unregister_sidebar_widget('Meta');
unregister_sidebar_widget('Search');
unregister_sidebar_widget('Links');
unregister_sidebar_widget('Recent Posts');
unregister_sidebar_widget('Archives');
}
add_action('widgets_init','unregister_problem_widgets');
}


function widget_redtopia_blogroll($args) {
    extract($args);
?><?php echo $before_widget; ?>
<img src="<?php bloginfo('template_directory'); ?>/images/side_blogroll.jpg" alt="Blogroll" border="0" />
<ul><?php wp_list_bookmarks('show_images=0&title_before=<h2 class="widgettitle">&categorize=0&title_li='); ?></ul>
<?php echo $after_widget; ?>
<?php
}
if ( function_exists('register_sidebar_widget') )
    register_sidebar_widget(__('Redtopia Blogroll'), 'widget_redtopia_blogroll');



function widget_redtopia_meta($args) {
    extract($args);
?>
<?php echo $before_widget; ?>
<img src="<?php bloginfo('template_directory'); ?>/images/side_meta.jpg" alt="Meta" border="0" />
<ul><?php wp_register(); ?>
<li><?php wp_loginout(); ?></li>
<li><a href="http://validator.w3.org/check/referer" title="This page validates as XHTML 1.0 Transitional">Valid XHTML</a></li>
<li><a href="http://jigsaw.w3.org/css-validator/check/referer">Valid CSS</a></li>
<li><a href="http://wordpress.org/" title="Powered by WordPress, state-of-the-art semantic personal publishing platform.">WordPress</a></li>
<?php wp_meta(); ?>
</ul>
<?php echo $after_widget; ?>
<?php
}
if ( function_exists('register_sidebar_widget') )
    register_sidebar_widget(__('Redtopia Meta'), 'widget_redtopia_meta');



function widget_redtopia_categories($args) {
    extract($args);
?><?php echo $before_widget; ?>
<img src="<?php bloginfo('template_directory'); ?>/images/side_categories.jpg" alt="Categories" border="0" />
				
   <form action="<?php bloginfo('url'); ?>" method="get">
   <?php wp_dropdown_categories('show_count=1&hierarchical=1&orderby=name'); ?>
   <input type="submit" name="submit" value="Go" id="catsubmit" style="margin-bottom:7px;"/>
   </form>
<?php echo $after_widget; ?>
<?php
}
if ( function_exists('register_sidebar_widget') )
    register_sidebar_widget(__('Redtopia Categories'), 'widget_redtopia_categories');



function widget_redtopia_tagcloud($args) {
    extract($args);
?>
<?php echo $before_widget;
if ( function_exists('wp_tag_cloud') ) :
	if (function_exists('wp_count_terms')) :
		$numtags = wp_count_terms('post_tag', 'ignore_empty=false');
		if ($numtags>0) :
?>
<img src="<?php bloginfo('template_directory'); ?>/images/side_tags.jpg" alt="Tags" border="0" />
<?php wp_tag_cloud('format=list&largest=8&order=DESC&orderby=count&number=5'); ?>
       <?php endif;?>
    <?php endif; ?>
<?php endif; ?>
<?php echo $after_widget; ?>
<?php
}
if ( function_exists('register_sidebar_widget') )
    register_sidebar_widget(__('Redtopia Tags'), 'widget_redtopia_tagcloud');



function widget_redtopia_rss($args) {
    extract($args);
?><?php echo $before_widget; ?>
<img src="<?php bloginfo('template_directory'); ?>/images/side_syndicate.jpg" alt="Syndicate" border="0" />
<ul>
<li><a href="<?php bloginfo('rss2_url'); ?>">RSS 2.0</a></li>
<?php /* If this is the frontpage */ if (is_home() ) { ?>	
<li><a href="<?php bloginfo('comments_rss2_url'); ?>">RSS 2.0 (Comments)</a></li>
<?php }?>
</ul>
<?php echo $after_widget; ?>
<?php
}
if ( function_exists('register_sidebar_widget') )
    register_sidebar_widget(__('Redtopia RSS'), 'widget_redtopia_rss');



function widget_redtopia_archives($args) {
    extract($args);
?><?php echo $before_widget; ?>
<img src="<?php bloginfo('template_directory'); ?>/images/side_archives.jpg" alt="Archives" border="0" />
				<ul>
				<?php wp_get_archives('type=monthly'); ?>
				</ul>
<?php echo $after_widget; ?>
<?php
}
if ( function_exists('register_sidebar_widget') )
    register_sidebar_widget(__('Redtopia Archives'), 'widget_redtopia_archives');



function widget_redtopia_recent_posts($args) {
    extract($args);
?><?php echo $before_widget; ?>
<img src="<?php bloginfo('template_directory'); ?>/images/side_recent.jpg" alt="Recent" border="0" />
<?php
   $paged = (get_query_var('paged')) ? get_query_var('paged') : 1;
    $paged = $paged + 1;
query_posts("showposts=6&paged=$paged");
?>
  <?php while (have_posts()) : the_post(); ?>
		<ul>
<li><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title(); ?>"><?php the_title(); ?></a></li>
		</ul>
  <?php endwhile;?>
<?php echo $after_widget; ?>
<?php
}
if ( function_exists('register_sidebar_widget') )
    register_sidebar_widget(__('Redtopia Recent Post'), 'widget_redtopia_recent_posts');
?>
<?php
$tech_trackbacks = array();
$tech_comments = array();

function split_comments( $source ) {

    if ( $source ) foreach ( $source as $comment ) {

        global $tech_trackbacks;
        global $tech_comments;

        if ( $comment->comment_type == 'trackback' || $comment->comment_type == 'pingback' ) {
            $tech_trackbacks[] = $comment;
        } else {
            $tech_comments[] = $comment;
        }
    }
} 
function redtopia_gravatar() {
if (function_exists('get_avatar')) : ?>
<div class="avatar_cont">
<?php global $comment;
if (! empty($comment->comment_author_url) ){ 
// Did they leave a link ?>
       <a rel="external nofollow" href="<?php comment_author_url(); ?>" title="<?php comment_author(); ?>">
       <?php echo get_avatar( get_comment_author_email(), '50' ); ?></a>
    <?php } else { ?>
       <?php echo get_avatar( get_comment_author_email(), '50' ); }?>
       </div>
<?php endif; } ?>